/****************************************************************************
** Form implementation generated from reading ui file 'dialogconfigure.ui'
**
** Created:
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dialogconfigure.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "../qplayer/dialogconfigure.ui.h"

/*
 *  Constructs a ConfigureDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ConfigureDialog::ConfigureDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ConfigureDialog" );
    setSizeGripEnabled( TRUE );
    ConfigureDialogLayout = new QVBoxLayout( this, 11, 6, "ConfigureDialogLayout"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    ConfigureDialogLayout->addWidget( textLabel1 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    m_pComboPreferredEngine = new QComboBox( FALSE, this, "m_pComboPreferredEngine" );
    layout4->addWidget( m_pComboPreferredEngine );

    m_pButtonEngineSetup = new QPushButton( this, "m_pButtonEngineSetup" );
    m_pButtonEngineSetup->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)0, 0, 0, m_pButtonEngineSetup->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( m_pButtonEngineSetup );

    m_pButtonEngineInfo = new QPushButton( this, "m_pButtonEngineInfo" );
    m_pButtonEngineInfo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)0, 0, 0, m_pButtonEngineInfo->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( m_pButtonEngineInfo );
    ConfigureDialogLayout->addLayout( layout4 );
    spacer2 = new QSpacerItem( 21, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConfigureDialogLayout->addItem( spacer2 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );
    ConfigureDialogLayout->addLayout( Layout1 );
    languageChange();
    resize( QSize(469, 121).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( m_pComboPreferredEngine, SIGNAL( activated(const QString&) ), this, SLOT( slotPreferredEngine(const QString&) ) );
    connect( m_pButtonEngineSetup, SIGNAL( clicked() ), this, SLOT( slotSetupEngine() ) );
    connect( m_pButtonEngineInfo, SIGNAL( clicked() ), this, SLOT( slotEngineInfo() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigureDialog::~ConfigureDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigureDialog::languageChange()
{
    setCaption( tr( "Configuration Dialog" ) );
    textLabel1->setText( tr( "<p align=\"center\">Please specify the MediaEngine you prefer to use :</p>" ) );
    m_pButtonEngineSetup->setText( tr( "Setup Engine ..." ) );
    m_pButtonEngineInfo->setText( tr( "Info ..." ) );
    buttonHelp->setText( tr( "&Help" ) );
    buttonHelp->setAccel( QKeySequence( tr( "F1" ) ) );
    buttonOk->setText( tr( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
}

